SHELL = /bin/sh
# decide on compiler and flags depending on host
CC = g++
CFLAGS=-fPIC -pthread
ALL_CFLAGS = -Wall -O6 $(CFLAGS)


LIBS = $(PAM_LIB)/libyoda.so $(PAM_LIB)/libDarthVader.so $(PAM_LIB)/libPamLevel2.so  `root-config --cflags --glibs`
INCS =-I `root-config --incdir`  -I$(PAM_INC) -I$(PAM_INC)/yoda/ -I./ 
EXE = Loop.exe 
# pattern rule to compile object files from C files
# might not work with make programs other than GNU make
%.o : %.cpp Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) -c $< -o $@  

all: $(EXE)


OBJS = Loop.o My-Selection.o My-Histos.o
Loop.exe: $(OBJS) Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) $(OBJS) $(LIBS) -o Loop.exe

OBJS0 = Loop-0.o My-Selection-0.o My-Histos-0
Loop-0.exe: $(OBJS0) Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) $(OBJS0) $(LIBS) -o Loop-0.exe

.PHONY : clean
clean:
	rm -f *.o *.exe
